#include "glFuncs.h"
#include <stdlib.h>

void pilotView(const Vector3f &pos, const Vector3f &rot)
{
	glRotatef(rot.x, 1.0, 0.0, 0.0f);
	glRotatef(rot.y, 0.0, 1.0, 0.0);
	glRotatef(rot.z, 0.0, 0.0, 1.0);
	glTranslatef(-pos.x, -pos.y, -pos.z);
}

GLboolean QueryExtension(char *extName)
{
	char *p = (char *) glGetString(GL_EXTENSIONS);
	char *end = p + strlen(p); 

	while (p < end)
	{
		int n = (int)strcspn(p, " ");
		if ((strlen(extName)==n) && (strncmp(extName,p,n)==0))
		{
			return GL_TRUE;
		}
		p += (n + 1);
	}
	return GL_FALSE;
}
