/*
  OpenGL helper functions
*/

#ifndef __GLFUNCS_H__
#define __GLFUNCS_H__

#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include <GL/gl.h>
#include "Vector.h"

#define BUFFER_OFFSET(i) ((char *)NULL + (i))

void pilotView(const Vector3f &pos, const Vector3f &rot);
GLboolean QueryExtension(char *extName);

#endif // #ifndef __GLFUNCS_H__